<!-- Copyright 2000 Microsoft Corporation. All rights reserved. -->
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta NAME="GENERATOR" CONTENT="Microsoft Visual Studio 6.0">
<title>Formatted Text Editor</title>
<!-- Styles -->
<link rel=stylesheet href="{%glo:cfgWebRoot%}wysiwyg/style.css" type="text/css">

<!-- Script Functions and Event Handlers -->
<script language="JavaScript" src="{%glo:cfgWebRoot%}wysiwyg/dhtmled.js"></script>
<!-- Karlis -->
<script language="JavaScript">
  function getCurrTable() {
    if (tbContentElement.DOM.selection.type == "Control") return null;
    var sTable = tbContentElement.DOM.selection.createRange().parentElement();
    while ((sTable.tagName != "TABLE" && sTable.tagName != "BODY")) {
      sTable = sTable.parentElement;
    }
    if (sTable.tagName == "BODY") sTable = null;
    return sTable;
  }

  function getCurrTR() {
    if (tbContentElement.DOM.selection.type == "Control") return null;
    var cTR = tbContentElement.DOM.selection.createRange().parentElement();
    while ((cTR.tagName != "TR" && cTR.tagName != "BODY")){
      cTR = cTR.parentElement;
    }
    if (cTR.tagName == "BODY") cTR = null;
    return cTR;
  }

  function getCurrTD() {
    if (tbContentElement.DOM.selection.type == "Control") return null;
    var cTD = tbContentElement.DOM.selection.createRange().parentElement();
    while ((cTD.tagName != "TD" && cTD.tagName != "BODY")){
      cTD = cTD.parentElement;
    }
    if (cTD.tagName == "BODY")
    cTD = null;
    return cTD;
  }
</script>
<!-- utility functions -->
<script language="JavaScript">
<!--
function fix4NS(instr){
        var re  = /STYLE=\"HEIGHT\s*:\s*(\d+)px;\s*WIDTH:\s*(\d+)px;*\s*\"/gi;
        //var re1 = /<A\s+href=".*?"\s*>\s*<\/A>/gi; // for taking out blank links
        /* changes width and height from style definitions
        to plain HTML that NS can understand.
        A troublesome output -
        <IMG style="WIDTH: 10px; HEIGHT: 10px" width=20 height=30>
          will be changed to
        <IMG width=10 height=10 width=20 height=30>
        DHTML editor takes care of the extra tags.. phew!
        S Babu - 11/23/2000
        */
        //instr=instr.replace(re1, "");
        return(instr.replace(re, "width=$2 height=$1"));
}
function fixCopyright(instr){
 /*
  changes the attempts at copyright symbol
  to proper HTML coding
 */
 var re1 = /&amp;copy;/gi;
 var re2 = /\xA9/gi;
 instr = instr.replace(re1, "&copy;");
 return (instr.replace(re2, "&copy;"));
}

function richEditorInsertHTML(sHTML)
{ /* Utility function to paste a given html string sHTML
  at the current selection */
 // Clear the selection if it's an image (would cause an error otherwise)
  if(tbContentElement.DOM.selection.type == "Control")
    tbContentElement.DOM.selection.clear();
  tbContentElement.DOM.selection.createRange().pasteHTML(sHTML);
}
function GetElement(oElement,sTag)
{
  /*Utility function; Goes up the DOM from the element oElement, till
  a parent element with the tag that matches sTag
  is found. Returns that parent element.*/
  while (oElement!=null && oElement.tagName!=sTag){
    oElement = oElement.parentElement;
  }
  return oElement;
}

//-->
</script>

<!-- Script Functions and Event Handlers (c) Microsoft -->
<script ID="clientEventHandlersJS" LANGUAGE="javascript">
<!--
// Constants
var MENU_SEPARATOR = ""; // Context menu separator
// Globals
var docComplete = false;
var initialDocComplete = false;

var QueryStatusToolbarButtons = new Array();
var QueryStatusEditMenu = new Array();
var QueryStatusFormatMenu = new Array();
var QueryStatusHTMLMenu = new Array();
var QueryStatusTableMenu = new Array();
var QueryStatusZOrderMenu = new Array();
var ContextMenu = new Array();
var GeneralContextMenu = new Array();
var TableContextMenu = new Array();
var AbsPosContextMenu = new Array();

var MainObj = null;
var el = null;


// Constructor for custom object that represents an item on the context menu
function ContextMenuItem(string, cmdId) {
  this.string = string;
  this.cmdId = cmdId;
}

// Constructor for custom object that represents a QueryStatus command and
// corresponding toolbar element.
function QueryStatusItem(command, element) {
  this.command = command;
  this.element = element;
}

//
// Event handlers
//
function window_onload() {

  // Initialze QueryStatus tables. These tables associate a command id with the
  // corresponding button object. Must be done on window load, 'cause the buttons must exist.
  QueryStatusToolbarButtons[0] = new QueryStatusItem(DECMD_BOLD, document.body.all["DECMD_BOLD"]);
  QueryStatusToolbarButtons[1] = new QueryStatusItem(DECMD_COPY, document.body.all["DECMD_COPY"]);
  QueryStatusToolbarButtons[2] = new QueryStatusItem(DECMD_CUT, document.body.all["DECMD_CUT"]);
  QueryStatusToolbarButtons[3] = new QueryStatusItem(DECMD_HYPERLINK, document.body.all["DECMD_HYPERLINK"]);
  QueryStatusToolbarButtons[4] = new QueryStatusItem(DECMD_INDENT, document.body.all["DECMD_INDENT"]);
  QueryStatusToolbarButtons[5] = new QueryStatusItem(DECMD_ITALIC, document.body.all["DECMD_ITALIC"]);
  QueryStatusToolbarButtons[6] = new QueryStatusItem(DECMD_JUSTIFYLEFT, document.body.all["DECMD_JUSTIFYLEFT"]);
  QueryStatusToolbarButtons[7] = new QueryStatusItem(DECMD_JUSTIFYCENTER, document.body.all["DECMD_JUSTIFYCENTER"]);
  QueryStatusToolbarButtons[8] = new QueryStatusItem(DECMD_JUSTIFYRIGHT, document.body.all["DECMD_JUSTIFYRIGHT"]);
  //rather than locking elements, I would've absolute positioning - vsb
  //QueryStatusToolbarButtons[9] = new QueryStatusItem(DECMD_LOCK_ELEMENT, document.body.all["DECMD_LOCK_ELEMENT"]);
  QueryStatusToolbarButtons[9] = new QueryStatusItem(DECMD_MAKE_ABSOLUTE, document.body.all["DECMD_MAKE_ABSOLUTE"]);
  QueryStatusToolbarButtons[10] = new QueryStatusItem(DECMD_MAKE_ABSOLUTE, document.body.all["DECMD_MAKE_ABSOLUTE"]);
  QueryStatusToolbarButtons[11] = new QueryStatusItem(DECMD_ORDERLIST, document.body.all["DECMD_ORDERLIST"]);
  QueryStatusToolbarButtons[12] = new QueryStatusItem(DECMD_OUTDENT, document.body.all["DECMD_OUTDENT"]);
  QueryStatusToolbarButtons[13] = new QueryStatusItem(DECMD_PASTE, document.body.all["DECMD_PASTE"]);
  QueryStatusToolbarButtons[14] = new QueryStatusItem(DECMD_REDO, document.body.all["DECMD_REDO"]);
  QueryStatusToolbarButtons[15] = new QueryStatusItem(DECMD_UNDERLINE, document.body.all["DECMD_UNDERLINE"]);
  QueryStatusToolbarButtons[16] = new QueryStatusItem(DECMD_UNDO, document.body.all["DECMD_UNDO"]);
  QueryStatusToolbarButtons[17] = new QueryStatusItem(DECMD_UNORDERLIST, document.body.all["DECMD_UNORDERLIST"]);
  QueryStatusToolbarButtons[18] = new QueryStatusItem(DECMD_INSERTTABLE, document.body.all["DECMD_INSERTTABLE"]);
  QueryStatusToolbarButtons[19] = new QueryStatusItem(DECMD_INSERTROW, document.body.all["DECMD_INSERTROW"]);
  QueryStatusToolbarButtons[20] = new QueryStatusItem(DECMD_DELETEROWS, document.body.all["DECMD_DELETEROWS"]);
  QueryStatusToolbarButtons[21] = new QueryStatusItem(DECMD_INSERTCOL, document.body.all["DECMD_INSERTCOL"]);
  QueryStatusToolbarButtons[22] = new QueryStatusItem(DECMD_DELETECOLS, document.body.all["DECMD_DELETECOLS"]);
  QueryStatusToolbarButtons[23] = new QueryStatusItem(DECMD_INSERTCELL, document.body.all["DECMD_INSERTCELL"]);
  QueryStatusToolbarButtons[24] = new QueryStatusItem(DECMD_DELETECELLS, document.body.all["DECMD_DELETECELLS"]);
  QueryStatusToolbarButtons[25] = new QueryStatusItem(DECMD_MERGECELLS, document.body.all["DECMD_MERGECELLS"]);
  QueryStatusToolbarButtons[26] = new QueryStatusItem(DECMD_SPLITCELL, document.body.all["DECMD_SPLITCELL"]);
  QueryStatusToolbarButtons[27] = new QueryStatusItem(DECMD_SETFORECOLOR, document.body.all["DECMD_SETFORECOLOR"]);
  QueryStatusToolbarButtons[28] = new QueryStatusItem(DECMD_SETBACKCOLOR, document.body.all["DECMD_SETBACKCOLOR"]);
  QueryStatusToolbarButtons[29] = new QueryStatusItem(DECMD_HYPERLINK, document.body.all["DECMD_FILE"]);
  QueryStatusToolbarButtons[30] = new QueryStatusItem(DECMD_HYPERLINK, document.body.all["DECMD_GHYPERLINK"]);
  QueryStatusToolbarButtons[31] = new QueryStatusItem(DECMD_HYPERLINK, document.body.all["DECMD_HYPERLINK"]);
  QueryStatusToolbarButtons[32] = new QueryStatusItem(DECMD_INSERTROW, document.body.all["DECMD_TPROP"]);
  QueryStatusToolbarButtons[33] = new QueryStatusItem(DECMD_INSERTROW, document.body.all["DECMD_CELLPROP"]);
  QueryStatusToolbarButtons[34] = new QueryStatusItem(DECMD_HYPERLINK, document.body.all["DECMD_ANCHORLINK"]);
  QueryStatusToolbarButtons[35] = new QueryStatusItem(DECMD_SELECTALL, document.body.all["DECMD_VIEWSOURCE"]);



  QueryStatusEditMenu[0] = new QueryStatusItem(DECMD_UNDO, document.body.all["EDIT_UNDO"]);
  QueryStatusEditMenu[1] = new QueryStatusItem(DECMD_REDO, document.body.all["EDIT_REDO"]);
  QueryStatusEditMenu[2] = new QueryStatusItem(DECMD_CUT, document.body.all["EDIT_CUT"]);
  QueryStatusEditMenu[3] = new QueryStatusItem(DECMD_COPY, document.body.all["EDIT_COPY"]);
  QueryStatusEditMenu[4] = new QueryStatusItem(DECMD_PASTE, document.body.all["EDIT_PASTE"]);
  QueryStatusEditMenu[5] = new QueryStatusItem(DECMD_DELETE, document.body.all["EDIT_DELETE"]);
  QueryStatusHTMLMenu[0] = new QueryStatusItem(DECMD_HYPERLINK, document.body.all["HTML_HYPERLINK"]);
  QueryStatusHTMLMenu[1] = new QueryStatusItem(DECMD_IMAGE, document.body.all["HTML_IMAGE"]);
  QueryStatusFormatMenu[0] = new QueryStatusItem(DECMD_FONT, document.body.all["FORMAT_FONT"]);
  QueryStatusFormatMenu[1] = new QueryStatusItem(DECMD_BOLD, document.body.all["FORMAT_BOLD"]);
  QueryStatusFormatMenu[2] = new QueryStatusItem(DECMD_ITALIC, document.body.all["FORMAT_ITALIC"]);
  QueryStatusFormatMenu[3] = new QueryStatusItem(DECMD_UNDERLINE, document.body.all["FORMAT_UNDERLINE"]);
  QueryStatusFormatMenu[4] = new QueryStatusItem(DECMD_JUSTIFYLEFT, document.body.all["FORMAT_JUSTIFYLEFT"]);
  QueryStatusFormatMenu[5] = new QueryStatusItem(DECMD_JUSTIFYCENTER, document.body.all["FORMAT_JUSTIFYCENTER"]);
  QueryStatusFormatMenu[6] = new QueryStatusItem(DECMD_JUSTIFYRIGHT, document.body.all["FORMAT_JUSTIFYRIGHT"]);
  QueryStatusFormatMenu[7] = new QueryStatusItem(DECMD_SETFORECOLOR, document.body.all["FORMAT_SETFORECOLOR"]);
  QueryStatusFormatMenu[8] = new QueryStatusItem(DECMD_SETBACKCOLOR, document.body.all["FORMAT_SETBACKCOLOR"]);
  QueryStatusTableMenu[0] = new QueryStatusItem(DECMD_INSERTTABLE, document.body.all["TABLE_INSERTTABLE"]);
  QueryStatusTableMenu[1] = new QueryStatusItem(DECMD_INSERTROW, document.body.all["TABLE_INSERTROW"]);
  QueryStatusTableMenu[2] = new QueryStatusItem(DECMD_DELETEROWS, document.body.all["TABLE_DELETEROW"]);
  QueryStatusTableMenu[3] = new QueryStatusItem(DECMD_INSERTCOL, document.body.all["TABLE_INSERTCOL"]);
  QueryStatusTableMenu[4] = new QueryStatusItem(DECMD_DELETECOLS, document.body.all["TABLE_DELETECOL"]);
  QueryStatusTableMenu[5] = new QueryStatusItem(DECMD_INSERTCELL, document.body.all["TABLE_INSERTCELL"]);
  QueryStatusTableMenu[6] = new QueryStatusItem(DECMD_DELETECELLS, document.body.all["TABLE_DELETECELL"]);
  QueryStatusTableMenu[7] = new QueryStatusItem(DECMD_MERGECELLS, document.body.all["TABLE_MERGECELL"]);
  QueryStatusTableMenu[8] = new QueryStatusItem(DECMD_SPLITCELL, document.body.all["TABLE_SPLITCELL"]);
  QueryStatusZOrderMenu[0] = new QueryStatusItem(DECMD_SEND_TO_BACK, document.body.all["ZORDER_SENDBACK"]);
  QueryStatusZOrderMenu[1] = new QueryStatusItem(DECMD_BRING_TO_FRONT, document.body.all["ZORDER_BRINGFRONT"]);
  QueryStatusZOrderMenu[2] = new QueryStatusItem(DECMD_SEND_BACKWARD, document.body.all["ZORDER_SENDBACKWARD"]);
  QueryStatusZOrderMenu[3] = new QueryStatusItem(DECMD_BRING_FORWARD, document.body.all["ZORDER_BRINGFORWARD"]);
  QueryStatusZOrderMenu[4] = new QueryStatusItem(DECMD_SEND_BELOW_TEXT, document.body.all["ZORDER_BELOWTEXT"]);
  QueryStatusZOrderMenu[5] = new QueryStatusItem(DECMD_BRING_ABOVE_TEXT, document.body.all["ZORDER_ABOVETEXT"]);

  // Initialize the context menu arrays.
  GeneralContextMenu[0] = new ContextMenuItem("Cut", DECMD_CUT);
  GeneralContextMenu[1] = new ContextMenuItem("Copy", DECMD_COPY);
  GeneralContextMenu[2] = new ContextMenuItem("Paste", DECMD_PASTE);
  TableContextMenu[0] = new ContextMenuItem(MENU_SEPARATOR, 0);
  TableContextMenu[1] = new ContextMenuItem("Insert Row", DECMD_INSERTROW);
  TableContextMenu[2] = new ContextMenuItem("Delete Rows", DECMD_DELETEROWS);
  TableContextMenu[3] = new ContextMenuItem(MENU_SEPARATOR, 0);
  TableContextMenu[4] = new ContextMenuItem("Insert Column", DECMD_INSERTCOL);
  TableContextMenu[5] = new ContextMenuItem("Delete Columns", DECMD_DELETECOLS);
  TableContextMenu[6] = new ContextMenuItem(MENU_SEPARATOR, 0);
  TableContextMenu[7] = new ContextMenuItem("Insert Cell", DECMD_INSERTCELL);
  TableContextMenu[8] = new ContextMenuItem("Delete Cells", DECMD_DELETECELLS);
  TableContextMenu[9] = new ContextMenuItem("Merge Cells", DECMD_MERGECELLS);
  TableContextMenu[10] = new ContextMenuItem("Split Cell", DECMD_SPLITCELL);
  AbsPosContextMenu[0] = new ContextMenuItem(MENU_SEPARATOR, 0);
  AbsPosContextMenu[1] = new ContextMenuItem("Send To Back", DECMD_SEND_TO_BACK);
  AbsPosContextMenu[2] = new ContextMenuItem("Bring To Front", DECMD_BRING_TO_FRONT);
  AbsPosContextMenu[3] = new ContextMenuItem(MENU_SEPARATOR, 0);
  AbsPosContextMenu[4] = new ContextMenuItem("Send Backward", DECMD_SEND_BACKWARD);
  AbsPosContextMenu[5] = new ContextMenuItem("Bring Forward", DECMD_BRING_FORWARD);
  AbsPosContextMenu[6] = new ContextMenuItem(MENU_SEPARATOR, 0);
  AbsPosContextMenu[7] = new ContextMenuItem("Send Below Text", DECMD_SEND_BELOW_TEXT);
  AbsPosContextMenu[8] = new ContextMenuItem("Bring Above Text", DECMD_BRING_ABOVE_TEXT);

  window_onload_extra();


}

// popup dialog to insert a table
function InsertTable() {
  var pVar = ObjTableInfo;
  var args = new Array();
  var arr = null;
  // Display table information dialog
  args["NumRows"] = ObjTableInfo.NumRows;
  args["NumCols"] = ObjTableInfo.NumCols;
  args["TableAttrs"] = ObjTableInfo.TableAttrs;
  args["CellAttrs"] = ObjTableInfo.CellAttrs;
  args["Caption"] = ObjTableInfo.Caption;
  arr = null;
  arr = showModalDialog( "?module=wysiwyg&action=table",
                          args,
                         "font-family:Verdana; font-size:12; dialogWidth:400px; dialogHeight:270px; status: 0; help: 0; scroll: 0");
  if (arr != null) {
    // Initialize table object
    for ( elem in arr ) {
      if ("NumRows" == elem && arr["NumRows"] != null) {
        ObjTableInfo.NumRows = arr["NumRows"];
      } else if ("NumCols" == elem && arr["NumCols"] != null) {
        ObjTableInfo.NumCols = arr["NumCols"];
      } else if ("TableAttrs" == elem) {
        ObjTableInfo.TableAttrs = arr["TableAttrs"];
      } else if ("CellAttrs" == elem) {
        ObjTableInfo.CellAttrs = arr["CellAttrs"];
      } else if ("Caption" == elem) {
        ObjTableInfo.Caption = arr["Caption"];
      }
    }
    tbContentElement.ExecCommand(DECMD_INSERTTABLE,OLECMDEXECOPT_DODEFAULT, pVar);
  }
}

function tbContentElement_ShowContextMenu() {
  var menuStrings = new Array();
  var menuStates = new Array();
  var state;
  var i
  var idx = 0;
  // Rebuild the context menu.
  ContextMenu.length = 0;
  // Always show general menu
  for (i=0; i<GeneralContextMenu.length; i++) {
    ContextMenu[idx++] = GeneralContextMenu[i];
  }
  // Is the selection inside a table? Add table menu if so
  if (tbContentElement.QueryStatus(DECMD_INSERTROW) != DECMDF_DISABLED) {
    for (i=0; i<TableContextMenu.length; i++) {
      ContextMenu[idx++] = TableContextMenu[i];
    }
  }
  // Is the selection on an absolutely positioned element? Add z-index commands if so
  if (tbContentElement.QueryStatus(DECMD_LOCK_ELEMENT) != DECMDF_DISABLED) {
    for (i=0; i<AbsPosContextMenu.length; i++) {
      ContextMenu[idx++] = AbsPosContextMenu[i];
    }
  }
  // Set up the actual arrays that get passed to SetContextMenu
  for (i=0; i<ContextMenu.length; i++) {
    menuStrings[i] = ContextMenu[i].string;
    if (menuStrings[i] != MENU_SEPARATOR) {
      state = tbContentElement.QueryStatus(ContextMenu[i].cmdId);
    } else {
      state = DECMDF_ENABLED;
    }
    if (state == DECMDF_DISABLED || state == DECMDF_NOTSUPPORTED) {
      menuStates[i] = OLE_TRISTATE_GRAY;
    } else if (state == DECMDF_ENABLED || state == DECMDF_NINCHED) {
      menuStates[i] = OLE_TRISTATE_UNCHECKED;
    } else { // DECMDF_LATCHED
      menuStates[i] = OLE_TRISTATE_CHECKED;
    }
  }
  // Set the context menu
  tbContentElement.SetContextMenu(menuStrings, menuStates);
}

function tbContentElement_ContextMenuAction(itemIndex) {

  if (ContextMenu[itemIndex].cmdId == DECMD_INSERTTABLE) {
    InsertTable();
  } else {
    tbContentElement.ExecCommand(ContextMenu[itemIndex].cmdId, OLECMDEXECOPT_DODEFAULT);
  }
}

// DisplayChanged handler. Very time-critical routine; this is called
// every time a character is typed. QueryStatus those toolbar buttons that need
// to be in synch with the current state of the document and update.
function tbContentElement_DisplayChanged() {
  var i, s;

  if(tbContentElement.style.display == 'none')
  {
    try
    {
      for (i=0; i<QueryStatusToolbarButtons.length; i++)
      {
        TBSetState(QueryStatusToolbarButtons[i].element, "gray");
      }
      TBSetState(QueryStatusToolbarButtons[35].element, "unchecked");
    }catch(e){}
  }else
  {

          for (i=0; i<QueryStatusToolbarButtons.length; i++) {
                s = tbContentElement.QueryStatus(QueryStatusToolbarButtons[i].command);
                if (s == DECMDF_DISABLED || s == DECMDF_NOTSUPPORTED ) {
                  TBSetState(QueryStatusToolbarButtons[i].element, "gray");
                } else if (s == DECMDF_ENABLED  || s == DECMDF_NINCHED) {
                   TBSetState(QueryStatusToolbarButtons[i].element, "unchecked");
                } else { // DECMDF_LATCHED
                   TBSetState(QueryStatusToolbarButtons[i].element, "checked");
                }
          }
          try
          {
            TBSetState(QueryStatusToolbarButtons[35].element, "unchecked");
          }catch(e){}
        s = tbContentElement.QueryStatus(DECMD_GETBLOCKFMT);
          if (s == DECMDF_DISABLED || s == DECMDF_NOTSUPPORTED) {
                ParagraphStyle.disabled = true;
          } else {
                ParagraphStyle.disabled = false;
                ParagraphStyle.value = tbContentElement.ExecCommand(DECMD_GETBLOCKFMT, OLECMDEXECOPT_DODEFAULT);
          }
          s = tbContentElement.QueryStatus(DECMD_GETFONTNAME);
          if (s == DECMDF_DISABLED || s == DECMDF_NOTSUPPORTED) {
                FontName.disabled = true;
          } else {
                FontName.disabled = false;
                FontName.value = tbContentElement.ExecCommand(DECMD_GETFONTNAME, OLECMDEXECOPT_DODEFAULT);
          }
          if (s == DECMDF_DISABLED || s == DECMDF_NOTSUPPORTED) {
                FontSize.disabled = true;
          } else {
                FontSize.disabled = false;
                FontSize.value = tbContentElement.ExecCommand(DECMD_GETFONTSIZE, OLECMDEXECOPT_DODEFAULT);
          }
          //check if selected outside MainObj
          try
          {
            if(MainObj != null)
            {
              var oSel = tbContentElement.DOM.selection;
              var sType=oSel.type;
              if(sType=="Control")
              {
                //image or table or whatever selected
                var cList = oSel.createRange();
                var oRange = tbContentElement.DOM.body.createTextRange( );
                var cObj = cList.item(0);
                oRange.moveToElementText(cObj);
                var selection = oRange;
              }else
              {
                var selection = oSel.createRange();
              }
              var isParentMain = true;
              obj = selection.parentElement();
              p = MainObj.parentElement;
              //if none of MainObj parents match selection parent
              //then we're inside MainObj
              while(p != null)
              {
                if(p == obj)
                {
                  isParentMain = false;
                }
                p = p.parentElement;
              }

              if(!isParentMain)
              {
                sel2 = selection.duplicate();
                selection.moveToElementText(MainObj);
                if(sel2.boundingTop < selection.boundingTop)
                {
                  selection.collapse();
                }else
                {
                  selection.collapse(false);
                }
                selection.select();

              }
            }
          }
          catch(e){}

  }
}

function tbContentElement_DocumentComplete() {
        return;
    if (initialDocComplete) {
            if (tbContentElement.CurrentDocumentPath == "") {
        URL_VALUE.value = "http://";
    }
    else {
      URL_VALUE.value = tbContentElement.CurrentDocumentPath;
    }
  }
  initialDocComplete = true;
  docComplete = true;
}

function INSERT_TEXT_onclick() {
  var arr = showModalDialog( "?module=wysiwyg&action=instext",
                             "",
                             "font-family:Verdana; font-size:12; dialogWidth:573px; dialogHeight:415px; status:0; help:0; scroll: 0" );
  if (arr != null) {
    if(MainObj == null)
    {
      tbContentElement.DOM.body.insertAdjacentText("BeforeEnd", arr);
    }else
    {
      MainObj.insertAdjacentText("BeforeEnd", arr);
    }
  }
  tbContentElement.focus();
}

function MENU_FILE_OPEN_onclick() {

  if (tbContentElement.IsDirty) {
    if (confirm("Save changes?")) {
      MENU_FILE_SAVE_onclick();
    }
  }

  tbContentElement.LoadDocument("", true);
  tbContentElement.focus();
}

// modified to save content from to a text area - vsb
function MENU_FILE_SAVE_onclick() {
  var filteredHTML;
  filteredHTML = "";
  if(MainObj == null)
    MainObj = tbContentElement.DOM.body;

  if (MainObj.innerHTML != "")
    filteredHTML = tbContentElement.FilterSourceCode (MainObj.innerHTML);

  if (filteredHTML != ""){
    filteredHTML = fix4NS(filteredHTML);
    filteredHTML = fixCopyright(filteredHTML);
  }

/*  if (opener)
    if (opener.document.Form)
      if (opener.document.Form.{%glo:fieldname%})
        opener.document.Form.{%glo:fieldname%}.value = filteredHTML; */

  if((typeof window.dialogArguments)=='object')
  {
    el = window.dialogArguments;
    el.thevalue = filteredHTML + '';
  }
  window.returnValue = filteredHTML + '';
  window.close();
  //tbContentElement.focus();
}

//for euronet - all DOM.body.innerHTML to DOM.body.all[1].innerHTML
function MENU_PREVIEW_onclick() {
  var filteredHTML;
  filteredHTML = "";
//  alert(tbContentElement.DOM.body.all[0].innerHTML);
//  alert(MainObj);
  if(MainObj == null)
  {
    if (tbContentElement.DOM.body.innerHTML != "")
      filteredHTML = tbContentElement.FilterSourceCode (tbContentElement.DOM.body.innerHTML);
  }
  else
  {
    if (MainObj.innerHTML != "")
      filteredHTML = tbContentElement.FilterSourceCode (MainObj.innerHTML);
  }

  if (filteredHTML != ""){
    filteredHTML = fix4NS(filteredHTML);
    filteredHTML = fixCopyright(filteredHTML);
  }

  if((typeof window.dialogArguments)=='object')
  {
    el = window.dialogArguments;
    el.thevalue = filteredHTML + '';
    el.innerHTML = filteredHTML + '';
  }
}


function MENU_FILE_SAVEAS_onclick() {
  tbContentElement.SaveDocument("", true);
  tbContentElement.focus();
}

function DECMD_VISIBLEBORDERS_onclick() {
  tbContentElement.ShowBorders = !tbContentElement.ShowBorders;
  tbContentElement.focus();
}

function DECMD_UNORDERLIST_onclick() {
  tbContentElement.ExecCommand(DECMD_UNORDERLIST,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function DECMD_UNDO_onclick() {
  tbContentElement.ExecCommand(DECMD_UNDO,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function DECMD_UNDERLINE_onclick() {
  tbContentElement.ExecCommand(DECMD_UNDERLINE,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function DECMD_SNAPTOGRID_onclick() {
  tbContentElement.SnapToGrid = !tbContentElement.SnapToGrid;
  tbContentElement.focus();
}

function DECMD_SHOWDETAILS_onclick() {
  tbContentElement.ShowDetails = !tbContentElement.ShowDetails;
  tbContentElement.focus();
}

function DECMD_SETFORECOLOR_onclick() {
  var arr = showModalDialog( "?module=wysiwyg&action=setcolor",
                             "",
                             "font-family:Verdana; font-size:12; dialogWidth:320px; dialogHeight:305px; help:0; status:0; scroll: 0" );
  if (arr != null) {
    tbContentElement.ExecCommand(DECMD_SETFORECOLOR,OLECMDEXECOPT_DODEFAULT, arr);
  }
}

function DECMD_SETBACKCOLOR_onclick() {
  var arr = showModalDialog( "?module=wysiwyg&action=setcolor",
                             "",
                             "font-family:Verdana; font-size:12; dialogWidth:320px; dialogHeight:305px; help:0; status:0; scroll: 0" );
  if (arr != null) {
    tbContentElement.ExecCommand(DECMD_SETBACKCOLOR,OLECMDEXECOPT_DODEFAULT, arr);
  }
  tbContentElement.focus();
}

function DECMD_SELECTALL_onclick() {
  tbContentElement.ExecCommand(DECMD_SELECTALL,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function DECMD_REDO_onclick() {
  tbContentElement.ExecCommand(DECMD_REDO,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function IsWordContent(newContent)
{
  var aStl = newContent.match(/ style=['"]*([^"' ]+)['"]*/i);
  var aIst = newContent.match(/mso-/i);
  if(aIst != null)
    return true;
  else
    return false;
}

function DECMD_PASTE_onclick() {
  //////////////////////////////
  oSel = tbContentElement.DOM.selection;
  sType=oSel.type;
  if(sType=="Control")
  {
    //image selected
    var cList = oSel.createRange();

    var oRange = tbContentElement.DOM.body.createTextRange( );

    var cObj = cList.item(0);
    oRange.moveToElementText(cObj);
    var control = true;
  }else
  {
    var oRange = oSel.createRange();
    var control = false;
  }
  var startpx = oRange.offsetLeft;
  var startpy = oRange.offsetTop;
  oRange.pasteHTML('');

  var origBody;
  var origMainOut;
  if(MainObj != null)
  {
    origMainOut = MainObj.outerHTML;
    origBody = tbContentElement.DOM.body.innerHTML;
    tbContentElement.DOM.body.innerHTML = MainObj.innerHTML;
  }else
  {
    origBody = tbContentElement.DOM.body.innerHTML;
  }

  tbContentElement.DOM.body.innerHTML = '';

  oRange.execCommand("paste");
  newContent = tbContentElement.DOM.body.innerHTML;

  //restore the fake objects
  if(MainObj != null)
  {
    RestoreMainObj(origBody);
  }else
  {
    tbContentElement.DOM.body.innerHTML = origBody;
  }

  //check if newcontent is from word
  if(IsWordContent(newContent))
  {
    var arr;
    arr = showModalDialog( "?module=wysiwyg&action=paste", arr, "font-family:Verdana; font-size:12; dialogWidth:350px; dialogHeight:300px; help:0; status:0; scroll: 0" );
    if (arr != null) {
      tbContentElement.DOM.body.innerHTML = newContent;
      if(arr == 1)  //remove word tags
      {
        var MAO = MainObj;
        MainObj = null;
        DeWord();
        MainObj = MAO;
        newContent = tbContentElement.DOM.body.innerHTML;
      }else
      if(arr == 3){  //paste as plain text
        newContent = tbContentElement.DOM.body.innerText;
      }
    }
    //restore the fake objects
    if(MainObj != null)
    {
      RestoreMainObj(origBody);
    }else
    {
      tbContentElement.DOM.body.innerHTML = origBody;
    }
  }


  oRange.moveToPoint(startpx, startpy);
  oRange.pasteHTML(newContent);

  //////////////////////////////
  //tbContentElement.ExecCommand(DECMD_PASTE,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function AssignStyle(srcel, destel)
{
  destel.style.background = srcel.style.background;
  destel.style.backgroundAttachment = "scroll";
  destel.style.backgroundColor = srcel.style.backgroundColor;
  destel.style.backgroundImage = "none";
  destel.style.border = "0px none";
  destel.style.color = srcel.style.color;
  destel.style.cursor = "auto";
  destel.style.fontFamily = srcel.style.fontFamily;
  destel.style.fontSize = srcel.style.fontSize;
  destel.style.fontStyle = srcel.style.fontStyle;
  destel.style.fontVariant = srcel.style.fontVariant;
  destel.style.fontWeight = srcel.style.fontWeight;
  destel.style.height = "";
  destel.style.left = "0px";
  destel.style.letterSpacing = srcel.style.letterSpacing;
  destel.style.lineHeight = srcel.style.lineHeight;
  destel.style.margin = "0px";
  destel.style.position = "static";
  destel.style.styleFloat = "none";
  destel.style.tableLayout = "auto";
  destel.style.textAlign = srcel.style.textAlign;
  destel.style.textDecoration = srcel.style.textDecoration;
  destel.style.textIndent = srcel.style.textIndent;
  destel.style.textTransform = srcel.style.textTransform;
  destel.style.top = "0px";
  destel.style.verticalAlign = "";
  destel.style.width = "";
  destel.style.padding = "0px";
}

function AssignCurrentStyle(el, destel)
{
  //try to assign currentStyle properties directly to DOM.body
  if(el.currentStyle.backgroundColor != "transparent")
    destel.style.backgroundColor = el.currentStyle.backgroundColor;
  destel.style.backgroundImage = "";
  destel.style.borderBottomStyle = "none";
  destel.style.borderBottomWidth = "0px";
  destel.style.borderLeftStyle = "none";
  destel.style.borderLeftWidth = "0px";
  destel.style.borderRightStyle = "none";
  destel.style.borderRightWidth = "0px";
  destel.style.borderStyle = "none";
  destel.style.borderTopStyle = "none";
  destel.style.borderTopWidth = "0px";
  destel.style.borderWidth = "0px";
  destel.style.color = el.currentStyle.color;
  destel.style.cursor = "auto";
  destel.style.fontFamily = el.currentStyle.fontFamily;
  destel.style.fontSize = el.currentStyle.fontSize;
  destel.style.fontStyle = el.currentStyle.fontStyle;
  destel.style.fontVariant = el.currentStyle.fontVariant;
  destel.style.fontWeight = el.currentStyle.fontWeight;
  destel.style.height = "100%";
  destel.style.left = "0px";
  destel.style.letterSpacing = el.currentStyle.letterSpacing;
  destel.style.lineHeight = el.currentStyle.lineHeight;
  destel.style.listStyleImage = el.currentStyle.listStyleImage;
  destel.style.listStylePosition = el.currentStyle.listStylePosition;
  destel.style.listStyleType = el.currentStyle.listStyleType;
  destel.style.margin = "0px";
  destel.style.marginBottom = "0px";
  destel.style.marginLeft = "0px";
  destel.style.marginRight = "0px";
  destel.style.marginTop = "0px";
  destel.style.styleFloat = "none";
  destel.style.tableLayout = el.currentStyle.tableLayout;
  destel.style.textAlign = el.currentStyle.textAlign;
  destel.style.textDecoration = el.currentStyle.textDecoration;
  destel.style.textIndent = el.currentStyle.textIndent;
  destel.style.textTransform = el.currentStyle.textTransform;
  destel.style.top = "0px";
  destel.style.verticalAlign = "";
  destel.style.width = "100%";

}

function TextLikeReal2()
{
  try
  {
    var ezhhh = el;
    var eee;
    var first = true;
    var elems = Array();
    var ff = 0;
    MainObj = null;
    //obtain array of all parent elements in document
    while(ezhhh != null && ezhhh.parentElement != null && ezhhh.parentElement.tagName != "BODY")
    {
      ezhhh = ezhhh.parentElement;
      elems[ff] = ezhhh;
      ff++;
    }
    if((ezhhh != null) && (ezhhh.parentElement != null) && (ezhhh.parentElement.tagName == "BODY"))
    {
      if(elems[0])
        AssignCurrentStyle(elems[0], tbContentElement.DOM.body);
      else
        AssignCurrentStyle(ezhhh, tbContentElement.DOM.body);
      //do a little trick here, instead of assigning classes and stuff
      //just assign styles
      //go from the very parent to very child
      for(f = ff-1; f >= 0; f--)
      {
////        alert(elems[f].tagName + " fontsize={" + elems[f].currentStyle.fontSize + "}" + " fontfamily={" + elems[f].currentStyle.fontFamily + "}");
        AssignCurrentStyle(elems[f], tbContentElement.DOM.body);
      }

    }

    tbContentElement.DOM.body.style.padding = "4px";
  }
  catch(e) {}

}

function TextLikeReal()
{
  try
  {
    var ezhhh = el;
    var eee;
    var ummtext = tbContentElement.DOM.body.innerHTML;
    var s;
    var first = true;
    MainObj = null;
    var elems = Array();
    var ff = 0;
    while(ezhhh != null && ezhhh.parentElement != null && ezhhh.parentElement.tagName != "BODY")
    {
      ezhhh = ezhhh.parentElement;
      try{
        //alert("1"+ezhhh.tagName + " " + ezhhh.id + " " + ezhhh.parentElement.tagName);
      } catch(e) {}
      eee = tbContentElement.DOM.createElement(ezhhh.tagName);
      eee.id = ezhhh.id;
      //eee.style = ezhhh.style;
      if(ezhhh.className)
        eee.className = ezhhh.className;
      AssignStyle(ezhhh, eee);
      elems[ff] = eee;
      ff++;
      if(first)
      {
        eee.style.padding = "4px";
        first = false;
        MainObj = eee;

      }
      b = ummtext;
  //    alert(b);
      if(eee.tagName == 'TABLE')
      {
        eee.setAttribute("CELLPADDING", "0", 0);
        eee.setAttribute("CELLSPACING", "0", 0);
        eee.setAttribute("WIDTH", "100%", 0);
        eee.setAttribute("HEIGHT", "100%", 0);
      }

      if(eee.tagName == 'FRAMESET' || eee.tagName == 'HTML' || eee.tagName == 'HEAD'
         || eee.tagName == 'TABLE' || eee.tagName == 'TBODY' || eee.tagName == 'TFOOT'
         || eee.tagName == 'THEAD' || eee.tagName == 'TITLE' || eee.tagName == 'TR')
      {
        s = eee.outerHTML; //<TAG class="classname" style="stylename"></TAG>
        closetag = '</' + eee.tagName + '>';
        opentag = s.slice(0, -closetag.length);
  //      alert("closetag = " + closetag + ", opentag = " + opentag);
        ummtext = opentag + b + closetag;
        eee = null;
      }else
      {
        eee.innerHTML = b;
        ummtext = eee.outerHTML;
      }

    }
    //100% width is too wide, it goes a bit under scrollbar
    if(eee == null)
    {
      tbContentElement.DOM.body.innerHTML = ummtext;
    }else
    {
//      eee.style.width = "99%";
      tbContentElement.DOM.body.innerHTML = '';
      tbContentElement.DOM.body.appendChild(eee);
    }
    if(MainObj !=null)
    {
      //run through all objects, find new mainobj
      for(f=0; f<tbContentElement.DOM.body.all.length; f++)
      {
        if(MainObj.outerHTML == tbContentElement.DOM.body.all[f].outerHTML)
        {
          MainObj = tbContentElement.DOM.body.all[f];
          selection = tbContentElement.DOM.body.createTextRange();
          selection.moveToElementText(MainObj);
          selection.collapse();
          selection.select();
        }
      }
    }
    if((ezhhh != null) && (ezhhh.parentElement != null) && (ezhhh.parentElement.tagName == "BODY"))
    {
      ezhhh = ezhhh.parentElement;
      try{
        //alert("3" + ezhhh + " " +ezhhh.tagName + " " + ezhhh.style);
      } catch(e) {}

      tbContentElement.DOM.body.setAttribute("style", ezhhh.getAttribute("style"));

      if(ezhhh.className != null)
        tbContentElement.DOM.body.className = ezhhh.className;
      AssignStyle(ezhhh, tbContentElement.DOM.body);
      if(first)
      {
        tbContentElement.DOM.body.padding = "4px";
        first = false;
      }

     if(false)
     {
       MainObj = null;
       //do a little trick here, instead of assigning classes and stuff
        //just assign styles
        //go from the very parent to very child
        for(f = ff-1; f >= 0; f--)
        {
          AssignCurrentStyle(elems[f], tbContentElement.DOM.body);
        }
      }
    }
//    alert(tbContentElement.DOM.body.outerHTML);
    return false;
  }
  catch(e) { }
}


function RestoreMainObj(origBody, newContents)
{
  newContents = tbContentElement.DOM.body.innerHTML;
      tbContentElement.DOM.body.innerHTML = origBody;
      //find the MainObj element again
      //run through all objects, find new mainobj
      for(f=0; f<tbContentElement.DOM.body.all.length; f++)
      {
        if(origMainOut == tbContentElement.DOM.body.all[f].outerHTML)
        {
          MainObj = tbContentElement.DOM.body.all[f];
          selection = tbContentElement.DOM.body.createTextRange();
          selection.moveToElementText(MainObj);
          selection.collapse();
          selection.select();
        }
      }
      //assign new deworded contents to MainObj
      MainObj.innerHTML = newContents;

      //the previous doesn't work yet, so...
      //MainObj = null;
      //tbContentElement.DOM.body.innerHTML = newContents;
}



function DeWord()
{
    //this is a bit tricky,
    //we got to get rid of fake objects first
    var origBody;
    var origMainOut;
    if(MainObj != null)
    {
      origMainOut = MainObj.outerHTML;
      origBody = tbContentElement.DOM.body.innerHTML;
      tbContentElement.DOM.body.innerHTML = MainObj.innerHTML;
    }

        //remove non standard HTML tags
        for(i=tbContentElement.DOM.body.all.length-1; i>=0; i--)
          if(tbContentElement.DOM.body.all[i].scopeName!='HTML')
            tbContentElement.DOM.body.all[i].removeNode();

        b=tbContentElement.DOM.body;

        f=b.getElementsByTagName('COLGROUP');
        if(f.length+''!='undefined')
          for(i=f.length-1;i>=0;i--)
            f[i].removeNode();

        f=b.getElementsByTagName('TH');
        if(f.length+''!='undefined')
          for(i=f.length-1;i>=0;i--)
            f[i].removeNode();

        f=b.getElementsByTagName('COL');
        if(f.length+''!='undefined')
          for(i=f.length-1;i>=0;i--)
            f[i].removeNode();

        f=b.getElementsByTagName('SPAN');
        if(f.length+''!='undefined')
          for(i=f.length-1;i>=0;i--)
     //       f[i].removeAttribute("class");
            f[i].removeNode();


        f=b.getElementsByTagName('FONT');
        if(f.length+''!='undefined')
          for(i=f.length-1;i>=0;i--)
            f[i].removeNode();

        f=b.getElementsByTagName('H1');
        if(f.length+''!='undefined')
          for(i=f.length-1;i>=0;i--)
   {
     var sPreserve = f[i].innerHTML;
     var oNewNode = tbContentElement.DOM.createElement("B");
     f[i].replaceNode(oNewNode);
     oNewNode.innerHTML = sPreserve;
   }
        f=b.getElementsByTagName('H2');
        if(f.length+''!='undefined')
          for(i=f.length-1;i>=0;i--)
   {
     var sPreserve = f[i].innerHTML;
     var oNewNode = tbContentElement.DOM.createElement("B");
     f[i].replaceNode(oNewNode);
     oNewNode.innerHTML = sPreserve;
   }
        f=b.getElementsByTagName('H3');
        if(f.length+''!='undefined')
          for(i=f.length-1;i>=0;i--)
   {
     var sPreserve = f[i].innerHTML;
     var oNewNode = tbContentElement.DOM.createElement("B");
     f[i].replaceNode(oNewNode);
     oNewNode.innerHTML = sPreserve;
   }
        f=b.getElementsByTagName('H4');
        if(f.length+''!='undefined')
          for(i=f.length-1;i>=0;i--)
   {
     var sPreserve = f[i].innerHTML;
     var oNewNode = tbContentElement.DOM.createElement("B");
     f[i].replaceNode(oNewNode);
     oNewNode.innerHTML = sPreserve;
   }
        f=b.getElementsByTagName('H5');
        if(f.length+''!='undefined')
          for(i=f.length-1;i>=0;i--)
   {
     var sPreserve = f[i].innerHTML;
     var oNewNode = tbContentElement.DOM.createElement("B");
     f[i].replaceNode(oNewNode);
     oNewNode.innerHTML = sPreserve;
   }

        f=b.getElementsByTagName('H6');
        if(f.length+''!='undefined')
                 for(i=f.length-1;i>=0;i--)
   {
     var sPreserve = f[i].innerHTML;
     var oNewNode = tbContentElement.DOM.createElement("B");
     f[i].replaceNode(oNewNode);
     oNewNode.innerHTML = sPreserve;
   }

        f=b.getElementsByTagName('DIV');
        if(f.length+''!='undefined')
                for(i=f.length-1;i>=0;i--)
                        f[i].removeNode();


        f=b.getElementsByTagName('A');
        if(f.length+''!='undefined')
                for(i=f.length-1;i>=0;i--)
   {
                        f[i].removeAttribute('onmouseover');
                        f[i].removeAttribute('onmouseout');
                 }


 //Tables
        f=b.getElementsByTagName('P');
        if(f.length+''!='undefined')
                 for(i=f.length-1;i>=0;i--)
   {
     f[i].clearAttributes();
                 }



        f=b.getElementsByTagName('TR');
        if(f.length+''!='undefined')
                 for(i=f.length-1;i>=0;i--)
   {
     f[i].clearAttributes();
                 }


         f=b.getElementsByTagName('TD');
         if(f.length+''!='undefined')
                for(i=f.length-1;i>=0;i--)
  {
    var aParams = f[i].style.cssText.split(";");
    oldColor="";
    for (var z=0; z < aParams.length; z++)
    {
      aType = aParams[z].split(": ");
      if (aType[0]==" BACKGROUND-COLOR")
        if (aType[1]!="transparent")
          oldColor = aType[1];
      if (aType[0]==" BACKGROUND")
        if (aType[1]!="transparent")
          oldColor = aType[1];

    }
    f[i].clearAttributes();
    if (oldColor)
    {
      f[i].style.backgroundColor = oldColor;
    }
    f[i].className ="wordTD";
                }


  f=b.getElementsByTagName('TABLE');
  if(f.length+''!='undefined')
    for(i=f.length-1;i>=0;i--)
    {
      if (f[i].className != "wordTable" && f[i].className != "wordTableOuter")
      {
        f[i].clearAttributes();
        f[i].className ="wordTable";
        f[i].setAttribute("width","100%");
        f[i].setAttribute("cellSpacing","1");
        f[i].setAttribute("cellPadding","2");

        var oNewTable = tbContentElement.DOM.createElement("TABLE");
        var oNewTr    = tbContentElement.DOM.createElement("TR");
        var oNewTd    = tbContentElement.DOM.createElement("TD");

        code = f[i].outerHTML;
        oNewTr.appendChild(oNewTd);
        oNewTable.appendChild(oNewTr);
        oNewTd.innerHTML= code;
        f[i].replaceNode(oNewTable);

        oNewTable.setAttribute('cellPadding', '0');
        oNewTable.setAttribute('cellSpacing', '0');
        oNewTable.setAttribute('border', '0');
        oNewTable.setAttribute("width", "100%");
        oNewTable.className ="wordTableOuter";
        oNewTd.innerHTML= code;

      }
    }


    //restore the fake objects
    if(MainObj != null)
    {
      RestoreMainObj(origBody);
    }


}

function TABLE_PROP_onclick() {
  currTable = getCurrTable();

  if (currTable!=null) {
    var arr = Array();
    arr["TableWidth"] = currTable.getAttribute("width");
    arr["TableHeight"] = currTable.getAttribute("height");
    arr["CellPadding"] = currTable.getAttribute("cellPadding");
    arr["CellSpacing"] = currTable.getAttribute("cellSpacing");
    arr["BgColor"] = currTable.getAttribute("bgColor");
    arr["BorderWidth"] = currTable.getAttribute("border");
    arr["BorderColor"] = currTable.getAttribute("borderColor");
    arr["OBorderWidth"] = currTable.style.borderWidth;
    arr["OBorderColor"] = currTable.style.borderColor;
    arr["OBorderStyle"] = currTable.style.borderStyle;
    arr = showModalDialog( "?module=wysiwyg&action=tprop", arr, "font-family:Verdana; font-size:12; dialogWidth:350px; dialogHeight:450px; help:0; status:0; scroll: 0" );
    if (arr != null) {
      currTable.setAttribute("width", arr["TableWidth"]);
      currTable.setAttribute("height", arr["TableHeight"]);
      currTable.setAttribute("cellPadding", arr["CellPadding"]);
      currTable.setAttribute("cellSpacing", arr["CellSpacing"]);
      currTable.setAttribute("bgColor", arr["BgColor"]);
      currTable.setAttribute("border", arr["BorderWidth"]);
      currTable.setAttribute("borderColor", arr["BorderColor"]);
      currTable.style.borderWidth = arr["OBorderWidth"];
      currTable.style.borderColor = arr["OBorderColor"];
      currTable.style.borderStyle = arr["OBorderStyle"];
    }
  }
}

function TABLE_CELLPROP_onclick() {
  currTable = getCurrTD();

  if (currTable!=null) {
    var arr = Array();
    arr["TableWidth"] = currTable.getAttribute("width");
    arr["TableHeight"] = currTable.getAttribute("height");
    arr["BgColor"] = currTable.getAttribute("bgColor");
    arr["OBorderWidth"] = currTable.style.borderWidth;
    arr["OBorderColor"] = currTable.style.borderColor;
    arr["OBorderStyle"] = currTable.style.borderStyle;
    arr = showModalDialog( "?module=wysiwyg&action=cellprop", arr, "font-family:Verdana; font-size:12; dialogWidth:350px; dialogHeight:360px; help:0; status:0; scroll: 0" );
    if (arr != null) {
      currTable.setAttribute("width", arr["TableWidth"]);
      currTable.setAttribute("height", arr["TableHeight"]);
      currTable.setAttribute("bgColor", arr["BgColor"]);
      currTable.style.borderWidth = arr["OBorderWidth"];
      currTable.style.borderColor = arr["OBorderColor"];
      currTable.style.borderStyle = arr["OBorderStyle"];
    }
  }
}

function TABLE_ROWPROP_onclick() {
  currTable = getCurrTR();
  if (currTable!=null) {
    var arr = Array();
    arr["TableHeight"] = currTable.getAttribute("height");
    arr["BgColor"] = currTable.getAttribute("bgColor");
    arr = showModalDialog( "?module=wysiwyg&action=rowprop", arr, "font-family:Verdana; font-size:12; dialogWidth:350px; dialogHeight:205px; help:0; status:0; scroll: 0" );
    if (arr != null) {
      currTable.setAttribute("height", arr["TableHeight"]);
      currTable.setAttribute("bgColor", arr["BgColor"]);
    }
  }
}


function DECMD_DEWORD_onclick()
{
  DeWord();
//  a = tbContentElement.DOM.body.innerHTML;
//  tbContentElement.DOM.body.innerHTML = a;
  tbContentElement.focus();
}

function DECMD_OUTDENT_onclick() {
  tbContentElement.ExecCommand(DECMD_OUTDENT,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function DECMD_ORDERLIST_onclick() {
  tbContentElement.ExecCommand(DECMD_ORDERLIST,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function DECMD_MAKE_ABSOLUTE_onclick() {
  tbContentElement.ExecCommand(DECMD_MAKE_ABSOLUTE,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function DECMD_LOCK_ELEMENT_onclick() {
  tbContentElement.ExecCommand(DECMD_LOCK_ELEMENT,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function DECMD_JUSTIFYRIGHT_onclick() {
  tbContentElement.ExecCommand(DECMD_JUSTIFYRIGHT,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function DECMD_JUSTIFYLEFT_onclick() {
  tbContentElement.ExecCommand(DECMD_JUSTIFYLEFT,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function DECMD_JUSTIFYCENTER_onclick() {
  tbContentElement.ExecCommand(DECMD_JUSTIFYCENTER,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function DECMD_ITALIC_onclick() {
  tbContentElement.ExecCommand(DECMD_ITALIC,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function DECMD_INDENT_onclick() {
  tbContentElement.ExecCommand(DECMD_INDENT,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

//modified to use the custom control to browse server side images - vsb
function DECMD_IMAGE_onclick() {
//  tbContentElement.ExecCommand(DECMD_IMAGE,OLECMDEXECOPT_PROMPTUSER);
//  tbContentElement.focus();
  var arr, oSel, oParent, sType, s;
  args = new Array();
  oSel = tbContentElement.DOM.selection;
  sType=oSel.type;
  if(sType=="Control")
  {
    //image selected
    var cList = oSel.createRange();

    var oRange = tbContentElement.DOM.body.createTextRange( );

    var cObj = cList.item(0);
    oRange.moveToElementText(cObj);
    //might be an image
	//alert(oRange.htmlText);
    var aSRC = oRange.htmlText.match(/<img.*src=['"]*([^"' ]+)['"]*/i);
    var aVSPACE = oRange.htmlText.match(/<img.*vspace=['"]*([0-9]+)['"]*/i);
    var aHSPACE = oRange.htmlText.match(/<img.*hspace=['"]*([0-9]+)['"]*/i);
    args["src"] = (aSRC != null?aSRC[1]:"");
    args["vspace"] = (aVSPACE != null?aVSPACE[1]:null);
    args["hspace"] = (aHSPACE != null?aHSPACE[1]:null);
  }else
  {
    var oRange = oSel.createRange();
  }
  arr = showModalDialog( "?module=wysiwyg&action=image&site_id={%glo:site_id%}&view=thumbs", args, "font-family:Verdana; font-size:12; dialogWidth:530px; dialogHeight:450px; help:0; status:0");
  if (arr != null){
    s = "<img src=\"" + arr["src"] + "\"";
    if (arr["vspace"] != '') s = s + " vspace=\"" + arr["vspace"] + "\"";
    if (arr["hspace"] != '') s = s + " hspace=\"" + arr["hspace"] + "\"";
    if (arr["align"] != '') s = s + " align=\"" + arr["align"] + "\"";
    s = s + " border=\"0\" />";
    oRange.pasteHTML(s);
  /*  if(arr["ImageUrl"] != ""){
      oRange.pasteHTML("<img src=\"" + arr["ImageUrl"] + "\">");
    }  */
  }
  tbContentElement.focus();
}

//insert anchor
function DECMD_ANCHORLINK_onclick() {
  var arr, oSel, oParent, sType, s;
  oSel = tbContentElement.DOM.selection;
  sType=oSel.type;
  var oRange = oSel.createRange();
  var aLINK = oRange.htmlText.match(/<a.*name=['"]*([^"'>< ]+)['"]*/i);
  arr = prompt("Enter bookmark name:", (aLINK != null?aLINK[1]:""));
  if (arr != null){
    s = "<a name=\"" + arr + "\"";
    s = s + ">" + oRange.text + "</a>";
    oRange.pasteHTML(s);
  }
  tbContentElement.focus();
}

function DECMD_VIEWSOURCE_onclick() {
  var filteredHTML;
  if(MainObj == null)
  {
    if (tbContentElement.DOM.body.innerHTML != "")
      filteredHTML = tbContentElement.FilterSourceCode (tbContentElement.DOM.body.innerHTML);
  }
  else
  {
    if (MainObj.innerHTML != "")
      filteredHTML = tbContentElement.FilterSourceCode (MainObj.innerHTML);
  }
  if(tbContentElement.style.display == 'none')
  {
    tbContentElement.DOM.body.innerHTML = tbSource.value;
    tbContentElement.style.display = 'block';
    //StandardToolbar.style.display = 'block';
    //AdditionalToolbar.style.display = 'block';
    //TableToolbar.style.display = 'block';
    //AbsolutePositioningToolbar.style.display = 'block';
    //FormatToolbar.style.display = 'block';
    TBSetState(FormatToolbar, 'dockedtop');
    TBSetState(StandardToolbar, 'dockedtop');
    TBSetState(AdditionalToolbar, 'dockedtop');
    TBSetState(TableToolbar, 'dockedtop');
    TBSetState(AbsolutePositioningToolbar, 'dockedtop');
  }else
  {
    tbSource.value = tbContentElement.DOM.body.innerHTML;
    tbContentElement.style.display = 'none';
    TBSetState(FormatToolbar, 'hidden');
    TBSetState(StandardToolbar, 'hidden');
    TBSetState(AdditionalToolbar, 'hidden');
    TBSetState(TableToolbar, 'hidden');
    TBSetState(AbsolutePositioningToolbar, 'hidden');
  }
  tbContentElement_DisplayChanged();
}

//modified to use the custom control to browse server side images - vsb
function DECMD_FILE_onclick() {
//  tbContentElement.ExecCommand(DECMD_IMAGE,OLECMDEXECOPT_PROMPTUSER);
//  tbContentElement.focus();
  var arr, oSel, oParent, sType;
  oSel = tbContentElement.DOM.selection;
  sType=oSel.type;
  if(sType=="Control")
  {
    //image selected
    var cList = oSel.createRange();

    var oRange = tbContentElement.DOM.body.createTextRange( );

    var cObj = cList.item(0);
    oRange.moveToElementText(cObj);
    var control = true;
  }else
  {
    var oRange = oSel.createRange();
    var control = false;
  }



  arr = showModalDialog( "?module=dialogs&action=filex&extended=1&site_id={%glo:site_id%}", "", "font-family:Verdana; font-size:12; dialogWidth:530px; dialogHeight:370px; help:0; status:0");
  if (arr != null){
        if(arr["LinkUrl"] != ""){
			if (arr["LinkTarget"] != "")
			{
				target = " target=\"" + arr["LinkTarget"] + "\"";
			}
          if (control)
			  oRange.pasteHTML("<a href=\"" + arr["LinkUrl"] + "\" " + target +  ">" + oRange.htmlText + "</a>");
		  else
			  oRange.pasteHTML("<a href=\"" + arr["LinkUrl"] + "\" " + target +  ">" + oRange.text + "</a>");
        }
  }
  tbContentElement.focus();
}

function DECMD_SMALL1_onclick() {
  var arr, oSel;
  oSel = tbContentElement.DOM.selection;
  var oRange = oSel.createRange();
  oRange.pasteHTML("<img src=\"{%glo:cfgWebRoot%}wysiwyg/images/small1.gif\">");
  tbContentElement.focus();
}

function DECMD_SMALL2_onclick() {
  var arr, oSel;
  oSel = tbContentElement.DOM.selection;
  var oRange = oSel.createRange();
  oRange.pasteHTML("<img src=\"{%glo:cfgWebRoot%}wysiwyg/images/small2.gif\">");
  tbContentElement.focus();
}

function DECMD_SUP_onclick() {
  var arr, oSel;
  oSel = tbContentElement.DOM.selection;
  var oRange = oSel.createRange();
  oRange.pasteHTML("<sup>" + oRange.text + "</sup>");
  tbContentElement.focus();
}

function DECMD_SUB_onclick() {
  var arr, oSel;
  oSel = tbContentElement.DOM.selection;
  var oRange = oSel.createRange();
  oRange.pasteHTML("<sub>" + oRange.text + "</sub>");
  tbContentElement.focus();
}

// modified to browse server side files for making the link - vsb
function DECMD_HYPERLINK_onclick() {
  var arr, args, oSel, oParent, sType;
  oSel = tbContentElement.DOM.selection;
  sType=oSel.type;
  if(sType=="Control")
  {
    //image selected
    var cList = oSel.createRange();

    var oRange = tbContentElement.DOM.body.createTextRange( );

    var cObj = cList.item(0);
    oRange.moveToElementText(cObj);
    var control = true;
  }else
  {
    var oRange = oSel.createRange();
    var control = false;
  }
  arr=null;
  args=new Array();
  // set a default value for your link button
  args["LinkUrl"] = "";
  args["LinkTarget"] = "_self";

  var cmdEnable = oRange.queryCommandEnabled("Unlink");
  if(cmdEnable){
    // do this only if a link is there
    var aLINK = oRange.htmlText.match(/<a.*href=['"]*([^"' ]+)['"]*/i);
    var aTARGET = oRange.htmlText.match(/<a.*target=['"]*([a-z_]+)['"]*/i);
    args["LinkUrl"] = (aLINK != null?aLINK[1]:"");
    args["LinkTarget"] = (aTARGET != null?aTARGET[1]:null);
  }

    arr = showModalDialog( "?module=wysiwyg&action=hyperlink&site_id={%glo:site_id%}", args, "font-family:Verdana; font-size:12; dialogWidth:430px; dialogHeight:400px; help:0; status:0");
    if (arr != null){
      if(arr["LinkUrl"] != ""){
        if(control)
        {
          oRange.pasteHTML("<a href=\"" + arr["LinkUrl"] + "\"" + (arr["LinkTarget"] != "" ?  "target=\"" + arr["LinkTarget"] + "\"" : "") + ">" + oRange.htmlText + "</a>");
        }else
        {
          oRange.pasteHTML("<a href=\"" + arr["LinkUrl"] + "\"" + (arr["LinkTarget"] != "" ?  "target=\"" + arr["LinkTarget"] + "\"" : "") + ">" + oRange.text + "</a>");
        }
      } else {
         // clear the selection of A tags.
         oRange.pasteHTML( oRange.text );
      }
    }

  tbContentElement.focus();
}

//modification for popup images
function DECMD_IMGPOPUP_onclick() {
  var arr, args, oSel, oParent, sType;

  oSel = tbContentElement.DOM.selection;
  sType=oSel.type;
  if(sType=="Control")
  {
    //image selected
    var cList = oSel.createRange();

    var oRange = tbContentElement.DOM.body.createTextRange( );

    var cObj = cList.item(0);
    oRange.moveToElementText(cObj);
  }else
  {
    var oRange = oSel.createRange();
  }

  arr=null;
  args=new Array();
  // set a default value for your link button
  args["src"] = "";

  var cmdEnable = oRange.queryCommandEnabled("Unlink");
  if(cmdEnable){
    // do this only if a link is there
    var aLINK = oRange.htmlText.match(/onclick=['"]javascript\:window\.open\( \'\/popup\/\?img=([^"' ]+)['"]/i);
    args["src"] = (aLINK != null?aLINK[1]:"");
  }

    arr = showModalDialog( "?module=wysiwyg&action=popupimage&site_id={%glo:site_id%}&view=thumbs", args, "font-family:Verdana; font-size:12; dialogWidth:430px; dialogHeight:400px; help:0; status:0");
    if (arr != null){
      if(arr["src"] != ""){
        if(aLINK)
        {
          oRange.pasteHTML(oRange.htmlText.replace(/onclick=['"]javascript\:window\.open\( \'\/popup\/\?img=([^"' ]+)['"]/i,"onclick=\"javascript:window.open( '/popup/?img=" + arr["src"] + "'"));
        }else
        {
          oRange.pasteHTML("<a href=\"javascript:void(0);\" onclick=\"javascript:window.open( '/popup/?img=" + arr["src"] + "', '', 'toolbar=0,location=0,directories=0,status=0,menubar=0,scrollbars=0,resizable=1'); void(0);\"" + ">" + oRange.htmlText + "</a>");
        }
      } else {
         // clear the selection of A tags.
         oRange.pasteHTML( oRange.text );
      }
    }

  tbContentElement.focus();
}

function DECMD_GHYPERLINK_onclick() {
  tbContentElement.ExecCommand(DECMD_HYPERLINK,OLECMDEXECOPT_PROMPTUSER);
  tbContentElement.focus();
}

function DECMD_FINDTEXT_onclick() {
  tbContentElement.ExecCommand(DECMD_FINDTEXT,OLECMDEXECOPT_PROMPTUSER);
  tbContentElement.focus();
}

function DECMD_DELETE_onclick() {
  tbContentElement.ExecCommand(DECMD_DELETE,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function DECMD_CUT_onclick() {
  tbContentElement.ExecCommand(DECMD_CUT,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function DECMD_COPY_onclick() {
  tbContentElement.ExecCommand(DECMD_COPY,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function DECMD_BOLD_onclick() {
  tbContentElement.ExecCommand(DECMD_BOLD,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function OnMenuShow(QueryStatusArray) {
  var i, s;

  for (i=0; i<QueryStatusArray.length; i++) {
  s = tbContentElement.QueryStatus(QueryStatusArray[i].command);
  if (s == DECMDF_DISABLED || s == DECMDF_NOTSUPPORTED) {
      TBSetState(QueryStatusArray[i].element, "gray");
    } else if (s == DECMDF_ENABLED  || s == DECMDF_NINCHED) {
       TBSetState(QueryStatusArray[i].element, "unchecked");
    } else { // DECMDF_LATCHED
       TBSetState(QueryStatusArray[i].element, "checked");
    }
  }
  tbContentElement.focus();//FOCUSMAIN?
}

function INTRINSICS_onclick(html) {
  var selection;
  selection = tbContentElement.DOM.selection.createRange();
  selection.pasteHTML(html);
  tbContentElement.focus();
}

function TABLE_DELETECELL_onclick() {
  tbContentElement.ExecCommand(DECMD_DELETECELLS,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function TABLE_DELETECOL_onclick() {
  tbContentElement.ExecCommand(DECMD_DELETECOLS,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function TABLE_DELETEROW_onclick() {
  tbContentElement.ExecCommand(DECMD_DELETEROWS,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function TABLE_INSERTCELL_onclick() {
  tbContentElement.ExecCommand(DECMD_INSERTCELL,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function TABLE_INSERTCOL_onclick() {
  tbContentElement.ExecCommand(DECMD_INSERTCOL,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function TABLE_INSERTROW_onclick() {
  tbContentElement.ExecCommand(DECMD_INSERTROW,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function TABLE_INSERTTABLE_onclick() {
  InsertTable();
  tbContentElement.focus();
}

function TABLE_MERGECELL_onclick() {
  tbContentElement.ExecCommand(DECMD_MERGECELLS,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function TABLE_SPLITCELL_onclick() {
  tbContentElement.ExecCommand(DECMD_SPLITCELL,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function FORMAT_FONT_onclick() {
  tbContentElement.ExecCommand(DECMD_FONT,OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function MENU_FILE_NEW_onclick() {

  if (tbContentElement.IsDirty) {
    if (confirm("Save changes?")) {
      MENU_FILE_SAVE_onclick();
    }
  }

  tbContentElement.NewDocument();
  tbContentElement.focus();
}

function URL_VALUE_onkeypress() {
  if (event.keyCode == 13) {

  /**
    NOTE: The user is not prompted to save the the current
    document before the call to LoadURL. Therefore the
    user will lose any edits he has made to the current document
    after the call to LoadURL. The purpose of the sample is
    to provide a basic demonstration of how to use the DHTMLEdit
    control. A complete implementation would check if there were
    unsaved edits to the current document by testing the IsDirty
    property on the control. If the IsDirty property is true, the
    user should be given an opporunity to save his edits first.

    See the implementation of MENU_FILE_NEW_onclick() in this sample
    for a demonstration how to do this.
  **/
    docComplete = false;
    tbContentElement.LoadURL(URL_VALUE.value);
    tbContentElement.focus();
  }
}

function ZORDER_ABOVETEXT_onclick() {
  tbContentElement.ExecCommand(DECMD_BRING_ABOVE_TEXT, OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function ZORDER_BELOWTEXT_onclick() {
  tbContentElement.ExecCommand(DECMD_SEND_BELOW_TEXT, OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function ZORDER_BRINGFORWARD_onclick() {
  tbContentElement.ExecCommand(DECMD_BRING_FORWARD, OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function ZORDER_BRINGFRONT_onclick() {
  tbContentElement.ExecCommand(DECMD_BRING_TO_FRONT, OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function ZORDER_SENDBACK_onclick() {
  tbContentElement.ExecCommand(DECMD_SEND_TO_BACK, OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function ZORDER_SENDBACKWARD_onclick() {
  tbContentElement.ExecCommand(DECMD_SEND_BACKWARD, OLECMDEXECOPT_DODEFAULT);
  tbContentElement.focus();
}

function TOOLBARS_onclick(toolbar) {
  if (toolbar.TBSTATE == "hidden") {
    TBSetState(toolbar, "dockedTop");
  } else {
    TBSetState(toolbar, "hidden");
  }
  tbContentElement.focus();
}

function ParagraphStyle_onchange() {
  tbContentElement.ExecCommand(DECMD_SETBLOCKFMT, OLECMDEXECOPT_DODEFAULT, ParagraphStyle.value);
  tbContentElement.focus();
}

function FontName_onchange() {
  tbContentElement.ExecCommand(DECMD_SETFONTNAME, OLECMDEXECOPT_DODEFAULT, FontName.value);
  tbContentElement.focus();
}

function FontSize_onchange() {
  tbContentElement.ExecCommand(DECMD_SETFONTSIZE, OLECMDEXECOPT_DODEFAULT, parseInt(FontSize.value));
  tbContentElement.focus();
}
//-->
</script>

<script LANGUAGE="javascript" FOR="tbContentElement" EVENT="DisplayChanged">
<!--
return tbContentElement_DisplayChanged()
//-->
</script>

<script LANGUAGE="javascript" FOR="tbContentElement" EVENT="DocumentComplete">
<!--
return tbContentElement_DocumentComplete()
//-->
</script>

<script LANGUAGE="javascript" FOR="tbContentElement" EVENT="ShowContextMenu">
<!--
return tbContentElement_ShowContextMenu()
//-->
</script>

<script LANGUAGE="javascript" FOR="tbContentElement" EVENT="ContextMenuAction(itemIndex)">
<!--
return tbContentElement_ContextMenuAction(itemIndex)
//-->
</script>

</head>
<body LANGUAGE="javascript" onload="return window_onload()">
<!-- Toolbars -->
<div class="tbToolbar" ID="FormatToolbar">
  <select ID="ParagraphStyle" class="tbGeneral" style="width:90" TITLE="Paragraph Format" LANGUAGE="javascript" onchange="return ParagraphStyle_onchange()">
    <option value="Normal">Normal</option>
    <option value="Heading 1">Heading 1</option>
    <option value="Heading 2">Heading 2</option>
    <option value="Heading 3">Heading 3</option>
    <option value="Heading 4">Heading 4</option>
    <option value="Heading 5">Heading 5</option>
    <option value="Heading 6">Heading 6</option>
    <option value="Address">Address</option>
    <option value="Formatted">Formatted</option>
  </select>
  <select ID="FontName" class="tbGeneral" style="width:140" TITLE="Font Name" LANGUAGE="javascript" onchange="return FontName_onchange()">
    <option value="Arial">Arial</option>
    <option value="Verdana">Verdana</option>
    <option value="Courier New">Courier New</option>
    <option value="Times New Roman">Times New Roman</option>
	<option value="Tahoma">Tahoma</option>
	<option value="Comic Sans MS">Comic Sans MS</option>
	<option value="Georgia">Georgia</option>
  </select>
  <select ID="FontSize" class="tbGeneral" style="width:40" TITLE="Font Size" LANGUAGE="javascript" onchange="return FontSize_onchange()">
    <option value="1">1</option>
    <option value="2">2</option>
    <option value="3">3</option>
    <option value="4">4</option>
    <option value="5">5</option>
    <option value="6">6</option>
    <option value="7">7</option>
  </select>

  <div class="tbSeparator"></div>

  <div class="tbButton" ID="DECMD_BOLD" TITLE="Bold" TBTYPE="toggle" LANGUAGE="javascript" onclick="return DECMD_BOLD_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/bold.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_ITALIC" TITLE="Italic" TBTYPE="toggle" LANGUAGE="javascript" onclick="return DECMD_ITALIC_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/italic.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_UNDERLINE" TITLE="Underline" TBTYPE="toggle" LANGUAGE="javascript" onclick="return DECMD_UNDERLINE_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/under.gif" WIDTH="23" HEIGHT="22">
  </div>

  <div class="tbSeparator"></div>

  <div class="tbButton" ID="DECMD_SETFORECOLOR" TITLE="Foreground Color" LANGUAGE="javascript" onclick="return DECMD_SETFORECOLOR_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/fgcolor.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_SETBACKCOLOR" TITLE="Background Color" LANGUAGE="javascript" onclick="return DECMD_SETBACKCOLOR_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/bgcolor.gif" WIDTH="23" HEIGHT="22">
  </div>

  <div class="tbSeparator"></div>

  <div class="tbButton" ID="DECMD_JUSTIFYLEFT" TITLE="Align Left" TBTYPE="toggle" NAME="Justify" LANGUAGE="javascript" onclick="return DECMD_JUSTIFYLEFT_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/left.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_JUSTIFYCENTER" TITLE="Center" TBTYPE="toggle" NAME="Justify" LANGUAGE="javascript" onclick="return DECMD_JUSTIFYCENTER_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/center.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_JUSTIFYRIGHT" TITLE="Align Right" TBTYPE="toggle" NAME="Justify" LANGUAGE="javascript" onclick="return DECMD_JUSTIFYRIGHT_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/right.gif" WIDTH="23" HEIGHT="22">
  </div>

  <div class="tbSeparator"></div>

  <div class="tbButton" ID="DECMD_ORDERLIST" TITLE="Numbered List" TBTYPE="toggle" LANGUAGE="javascript" onclick="return DECMD_ORDERLIST_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/numlist.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_UNORDERLIST" TITLE="Bulletted List" TBTYPE="toggle" LANGUAGE="javascript" onclick="return DECMD_UNORDERLIST_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/bullist.gif" WIDTH="23" HEIGHT="22">
  </div>

  <!--<div class="tbSeparator"></div>

  <div class="tbButton" ID="DECMD_SMALL1" TITLE="" LANGUAGE="javascript" onclick="return DECMD_SMALL1_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/small1.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_SMALL2" TITLE="" LANGUAGE="javascript" onclick="return DECMD_SMALL2_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/small2.gif" WIDTH="23" HEIGHT="22">
  </div>-->

  <div class="tbSeparator"></div>

  <div class="tbButton" ID="DECMD_SUP" TITLE="" LANGUAGE="javascript" onclick="return DECMD_SUP_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/sup.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_SUB" TITLE="" LANGUAGE="javascript" onclick="return DECMD_SUB_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/sub.gif" WIDTH="23" HEIGHT="22">
  </div>

  <div class="tbSeparator"></div>

  <div class="tbButton" ID="DECMD_OUTDENT" TITLE="Decrease Indent" LANGUAGE="javascript" onclick="return DECMD_OUTDENT_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/deindent.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_INDENT" TITLE="Increase Indent" LANGUAGE="javascript" onclick="return DECMD_INDENT_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/inindent.gif" WIDTH="23" HEIGHT="22">
  </div>


</div>

<div class="tbToolbar" ID="ViewSourceToolbar">
  <div class="tbSeparator"></div>
  <div class="tbButton" ID="DECMD_VIEWSOURCE" TITLE="Toggle source editing mode" LANGUAGE="javascript" onclick="return DECMD_VIEWSOURCE_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/HTML.gif" WIDTH="23" HEIGHT="22">
  </div>
</div>

<div class="tbToolbar" ID="StandardToolbar">
    <!-- commented out because we don't use these options. Saving and opening files are
         done by external scripts, probably from a database. - vsb
  <div class="tbGeneral" ID="URL_LABEL" TITLE="Enter URL" style="top:6; width:27; FONT-FAMILY: ms sans serif; FONT-SIZE: 10px;">
    URL:
  </div>
  <input type="text" class="tbGeneral" ID="URL_VALUE" TITLE="Enter URL" value="http://" style="width:200" LANGUAGE="javascript" onkeypress="return URL_VALUE_onkeypress()">

  <div class="tbSeparator"></div> -->

  <div class="tbButton" ID="MENU_FILE_NEW" TITLE="New File" LANGUAGE="javascript" onclick="return MENU_FILE_NEW_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/newdoc.gif" WIDTH="23" HEIGHT="22">
  </div>

<!--  <div class="tbButton" ID="MENU_FILE_OPEN" TITLE="Open File" LANGUAGE="javascript" onclick="return MENU_FILE_OPEN_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/open.gif" WIDTH="23" HEIGHT="22">
  </div>
-->
  <div class="tbButton" style="width: 115" ID="MENU_FILE_SAVE" TITLE="Save File" LANGUAGE="javascript" onclick="return MENU_FILE_SAVE_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/saveclose.gif" WIDTH="115" HEIGHT="22">
  </div>


  {%%if:canpreview:1%%}
  <div class="tbSeparator"></div>

  <div class="tbButton" style="width: 75" ID="MENU_FILE_PREVIEW" TITLE="Preview" LANGUAGE="javascript" onclick="return MENU_PREVIEW_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/preview.gif" WIDTH="75" HEIGHT="22">
  </div>
  {%%endif%%}


  <div class="tbSeparator"></div>

  <div id="insTextButton" class="tbButton" TITLE="Insert Plain Text" LANGUAGE="javascript" onClick="return INSERT_TEXT_onclick()">
    <IMG class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/text.gif" WIDTH="23" HEIGHT="22">
  </div>

  <div id="DECMD_DEWORD" class="tbButton" TITLE="Remove MS Word Tags" LANGUAGE="javascript" onClick="return DECMD_DEWORD_onclick()">
    <IMG class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/word_sel.gif" WIDTH="23" HEIGHT="22">
  </div>

  <div class="tbSeparator"></div>

  <div class="tbButton" ID="DECMD_CUT" TITLE="Cut" LANGUAGE="javascript" onclick="return DECMD_CUT_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/cut.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_COPY" TITLE="Copy" LANGUAGE="javascript" onclick="return DECMD_COPY_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/copy.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_PASTE" TITLE="Paste" LANGUAGE="javascript" onclick="return DECMD_PASTE_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/paste.gif" WIDTH="23" HEIGHT="22">
  </div>

  <div class="tbSeparator"></div>

  <div class="tbButton" ID="DECMD_UNDO" TITLE="Undo" LANGUAGE="javascript" onclick="return DECMD_UNDO_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/undo.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_REDO" TITLE="Redo" LANGUAGE="javascript" onclick="return DECMD_REDO_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/redo.gif" WIDTH="23" HEIGHT="22">
  </div>

  <div class="tbSeparator"></div>

  <div class="tbButton" ID="DECMD_FINDTEXT" TITLE="Find" LANGUAGE="javascript" onclick="return DECMD_FINDTEXT_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/find.gif" WIDTH="23" HEIGHT="22">
  </div>
</div>

<div class="tbToolbar" ID="AdditionalToolbar">
  <div class="tbButton" ID="DECMD_GHYPERLINK" TITLE="External Link" LANGUAGE="javascript" onclick="return DECMD_GHYPERLINK_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/glink.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_HYPERLINK" TITLE="Internal Link" LANGUAGE="javascript" onclick="return DECMD_HYPERLINK_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/link.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_ANCHORLINK" TITLE="Bookmark" LANGUAGE="javascript" onclick="return DECMD_ANCHORLINK_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/bookmark.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbSeparator"></div>
  <div class="tbButton" ID="DECMD_IMAGE" TITLE="Insert Image" LANGUAGE="javascript" onclick="return DECMD_IMAGE_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/image.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_FILE" TITLE="Insert File" LANGUAGE="javascript" onclick="return DECMD_FILE_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/filelink.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_IMGPOPUP" TITLE="Insert Image Popup" LANGUAGE="javascript" onclick="return DECMD_IMGPOPUP_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/popup.gif" WIDTH="23" HEIGHT="22">
  </div>
</div>

<div class="tbToolbar" ID="TableToolbar">

  <div class="tbButton" ID="DECMD_INSERTTABLE" TITLE="Insert Table" LANGUAGE="javascript" onclick="return TABLE_INSERTTABLE_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/instable.gif" WIDTH="23" HEIGHT="22">
  </div>

  <div class="tbSeparator"></div>

  <div class="tbButton" ID="DECMD_INSERTROW" TITLE="Insert Row" LANGUAGE="javascript" onclick="return TABLE_INSERTROW_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/insrow.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_DELETEROWS" TITLE="Delete Rows" LANGUAGE="javascript" onclick="return TABLE_DELETEROW_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/delrow.gif" WIDTH="23" HEIGHT="22">
  </div>

  <div class="tbSeparator"></div>

  <div class="tbButton" ID="DECMD_INSERTCOL" TITLE="Insert Column" LANGUAGE="javascript" onclick="return TABLE_INSERTCOL_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/inscol.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_DELETECOLS" TITLE="Delete Columns" LANGUAGE="javascript" onclick="return TABLE_DELETECOL_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/delcol.gif" WIDTH="23" HEIGHT="22">
  </div>

  <div class="tbSeparator"></div>

  <div class="tbButton" ID="DECMD_INSERTCELL" TITLE="Insert Cell" LANGUAGE="javascript" onclick="return TABLE_INSERTCELL_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/inscell.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_DELETECELLS" TITLE="Delete Cells" LANGUAGE="javascript" onclick="return TABLE_DELETECELL_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/delcell.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_MERGECELLS" TITLE="Merge Cells" LANGUAGE="javascript" onclick="return TABLE_MERGECELL_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/mrgcell.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_SPLITCELL" TITLE="Split Cells" LANGUAGE="javascript" onclick="return TABLE_SPLITCELL_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/spltcell.gif" WIDTH="23" HEIGHT="22">
  </div>

  <div class="tbSeparator"></div>

  <div class="tbButton" ID="DECMD_TPROP" TITLE="Table Properties" LANGUAGE="javascript" onclick="return TABLE_PROP_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/tprop.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_CELLPROP" TITLE="Cell Properties" LANGUAGE="javascript" onclick="return TABLE_CELLPROP_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/cellprop.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_ROWPROP" TITLE="Row Properties" LANGUAGE="javascript" onclick="return TABLE_ROWPROP_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/rowprop.gif" WIDTH="23" HEIGHT="22">
  </div>
</div>

<div class="tbToolbar" ID="AbsolutePositioningToolbar">
  <div class="tbButton" ID="DECMD_VISIBLEBORDERS" TITLE="Visible Borders" TBTYPE="toggle" LANGUAGE="javascript" onclick="return DECMD_VISIBLEBORDERS_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/borders.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_SHOWDETAILS" TITLE="Show Details" TBTYPE="toggle" LANGUAGE="javascript" onclick="return DECMD_SHOWDETAILS_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/details.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbSeparator"></div>
  <div class="tbButton" ID="DECMD_MAKE_ABSOLUTE" TBTYPE="toggle" LANGUAGE="javascript" TITLE="Make Absolute" onclick="return DECMD_MAKE_ABSOLUTE_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/abspos.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_LOCK_ELEMENT" TBTYPE="toggle" LANGUAGE="javascript" TITLE="Lock" onclick="return DECMD_LOCK_ELEMENT_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/lock.gif" WIDTH="23" HEIGHT="22">
  </div>
  <div class="tbButton" ID="DECMD_SNAPTOGRID" TITLE="Snap to Grid" TBTYPE="toggle" LANGUAGE="javascript" onclick="return DECMD_SNAPTOGRID_onclick()">
    <img class="tbIcon" src="{%glo:cfgWebRoot%}wysiwyg/images/snapgrid.gif" WIDTH="23" HEIGHT="22">
  </div>
</div>

<!-- Dummy -->
<div ID="DECMD_MAKE_ABSOLUTE"></div>
<!-- Dummy end -->

<!-- DHTML Editing control Object. This will be the body object for the toolbars. -->
<object ID="tbContentElement" CLASS="tbContentElement" CLASSID="clsid:2D360201-FFF5-11D1-8D03-00A0C959BC0A" VIEWASTEXT>
  <param name=Scrollbars value=true>
</object>

<textarea name="tbSource" ID="tbSource" CLASS="tbContentElement" >
</textarea>

<!-- DEInsertTableParam Object -->
<!-- ========DISABLED =========
<oobject ID="ObjTableInfo" CLASSID="clsid:47B0DFC7-B7A3-11D1-ADC5-006008A5848C" VIEWASTEXT>
</object>    -->
<script language="JavaScript">
var ObjTableInfo = document.createElement('object');
ObjTableInfo.classid= "clsid:47B0DFC7-B7A3-11D1-ADC5-006008A5848C";
</script>

<!-- DEGetBlockFmtNamesParam Object -->
<!-- ========DISABLED =========
<oobject ID="ObjBlockFormatInfo" CLASSID="clsid:8D91090E-B955-11D1-ADC5-006008A5848C" VIEWASTEXT>
</object>    -->

<!-- Toolbar Code File. Note: This must always be the last thing on the page -->
<script language="JavaScript" src="{%glo:cfgWebRoot%}wysiwyg/toolbars.js"></script>

<script LANGUAGE="Javascript">
  function window_onload_extra()
  {
    if((typeof window.dialogArguments)=='object')
    {
      el = window.dialogArguments;
      eval('tbContentElement.DocumentHTML = \'<base href="http://{%str:base%}/"><link rel=stylesheet href="{%str:PageStylesheet%}" type="text/css"><body>\' + el.thevalue + \'</body>\'');
      tbSource.value = el.thevalue;
    }else
    {
      tbContentElement.DocumentHTML = '<base href="http://{%str:base%}/"><link rel=stylesheet href="{%str:PageStylesheet%}" type="text/css"><body>' + window.dialogArguments + '</body>';
      tbSource.value = window.dialogArguments;
    }
    setTimeout("TextLikeReal2();", 200);
  }
</script>

</body>
</html>
